#include <iostream>
using namespace std;

/* run this program using the console pauser or add your own getch, system("pause") or input loop */

int main(int argc, char** argv) {
	int n,a;
	cin >> n >> a;
	int d = n / a;
	if(d < 3) cout << -1<< endl;
	else{
		int o = n % a;
		
	}
	return 0;
}